Edit Lead

API allows partners to update an existing lead by submitting missing or modified customer details. It's useful when additional information is required for lead processing or if corrections are needed after the initial lead creation

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Mandatory fields in payload :

{
	"id":<valid lead_id>,
  "profileData":{
    ...
  }
  ...
}

Sample Payload:

{
    "id":"LD13986",
        "loanRequest": {
            "amount": 50000,
            "tenure": 6,
            "interestRate": 50,
            "processingFeePct": 5,
            "purpose": "Other"
        },
      "acquisitionPlatformData": {
        "loanSegment": "REGULAR",
        "segmentBand": "R1",
        "pincodeSegment": "YELLOW",
        "tpv": 12000,
        "netFreeIncome": 30000,
        "vintageMonths": 3,
        "isActiveTransactor": true,
      },
      "bankAccounts": [
            {
                "beneficiaryName": "M KARTHIK",
                "ifsc": "SBIN0000001",
                "accountNumber": "123456789",
                "purposeType": "DISBURSAL"
            }
}

Points to be Noted :

  1. Mandatory Params [PAN, Mobile, email, Reference Number] can't be changed/ edited once the lead has been created.
  2. To use the Edit Lead API, an extra parameter leadId {id: ""} must be posted as part of queryParams.
  3. Pass in only the required fields to update the payload along with the correct mapping.
Body Params
string
required

valid lead_id

Headers
string

Bearer {auth_token}

string

application/json

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json